Create a capture session
POST
/v1/projects/{projectId}/capture-sessionscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/capture-sessions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- namestring必填
响应
Success
- dataobject必填
- idstring (uuid)必填
- projectIdstring (uuid)必填
- namestring必填
- createdByUserIdstring (uuid)必填
- createdAtstring (date-time)必填
响应示例
{
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"createdByUserId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-01-01T00:00:00Z"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1